package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * It is required when [configType] is 1.
 */
@ApiModel(description = "It is required when [configType] is 1.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class ManuallyConfigOpenApiVo   {
  @JsonProperty("dialNumber")
  private String dialNumber;

  @JsonProperty("apn")
  private String apn;

  @JsonProperty("username")
  private String username;

  @JsonProperty("password")
  private String password;

  public ManuallyConfigOpenApiVo dialNumber(String dialNumber) {
    this.dialNumber = dialNumber;
    return this;
  }

  /**
   * Get dialNumber
   * @return dialNumber
  */
  @ApiModelProperty(required = true, value = "")
  @NotNull


  public String getDialNumber() {
    return dialNumber;
  }

  public void setDialNumber(String dialNumber) {
    this.dialNumber = dialNumber;
  }

  public ManuallyConfigOpenApiVo apn(String apn) {
    this.apn = apn;
    return this;
  }

  /**
   * Get apn
   * @return apn
  */
  @ApiModelProperty(value = "")


  public String getApn() {
    return apn;
  }

  public void setApn(String apn) {
    this.apn = apn;
  }

  public ManuallyConfigOpenApiVo username(String username) {
    this.username = username;
    return this;
  }

  /**
   * Get username
   * @return username
  */
  @ApiModelProperty(value = "")


  public String getUsername() {
    return username;
  }

  public void setUsername(String username) {
    this.username = username;
  }

  public ManuallyConfigOpenApiVo password(String password) {
    this.password = password;
    return this;
  }

  /**
   * Get password
   * @return password
  */
  @ApiModelProperty(value = "")


  public String getPassword() {
    return password;
  }

  public void setPassword(String password) {
    this.password = password;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ManuallyConfigOpenApiVo manuallyConfigOpenApiVo = (ManuallyConfigOpenApiVo) o;
    return Objects.equals(this.dialNumber, manuallyConfigOpenApiVo.dialNumber) &&
        Objects.equals(this.apn, manuallyConfigOpenApiVo.apn) &&
        Objects.equals(this.username, manuallyConfigOpenApiVo.username) &&
        Objects.equals(this.password, manuallyConfigOpenApiVo.password);
  }

  @Override
  public int hashCode() {
    return Objects.hash(dialNumber, apn, username, password);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ManuallyConfigOpenApiVo {\n");
    
    sb.append("    dialNumber: ").append(toIndentedString(dialNumber)).append("\n");
    sb.append("    apn: ").append(toIndentedString(apn)).append("\n");
    sb.append("    username: ").append(toIndentedString(username)).append("\n");
    sb.append("    password: ").append(toIndentedString(password)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

